# default – Use default netconf plugin to run standard netconf commands as per RFC

New in version 2.9.

- Synopsis

- Parameters

- Status

## Synopsis

- This default plugin provides low level abstraction apis for sending and receiving netconf commands as per Netconf RFC specification.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
ncclient_device_handler string | Default: "default" |  | Specifies the ncclient device handler name for network os that support default netconf implementation as per Netconf RFC specification. To identify the ncclient device handler name refer ncclient library documentation.

## Status

- This netconf is not guaranteed to have a backwards compatible interface. [preview]

- This netconf is maintained by the Ansible Community. [community]

### Authors

- Ansible Networking Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.